"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("../actions/types");
var initial_state = {
    general_info_configuration: {
        favicon: null,
        favicon_medium: null,
        favicon_small: null,
        icon_medium: null,
        icon_small: null,
        logo: null,
        logo_medium: null,
        logo_small: null
    }
};
var AppConfigurationReducer = function (state, action) {
    if (state === void 0) { state = initial_state; }
    switch (action.type) {
        case types_1.APP_CONFIGURATION_TYPES.fetch_app_configuration:
            return action.payload.data;
        case types_1.APP_CONFIGURATION_TYPES.update_general_info_configuration:
            return { general_info_configuration: action.payload.data };
        case types_1.APP_CONFIGURATION_TYPES.clear:
            return initial_state;
        default:
            return state;
    }
};
exports.AppConfigurationReducer = AppConfigurationReducer;
