"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var axios_1 = __importDefault(require("axios"));
var lodash_1 = require("lodash");
var initialState = {
    token: localStorage.getItem("token"),
    my_permissions: localStorage.getItem("my_permissions"),
    isAuthenticated: false,
    isLoading: true,
    user: {
        username: null,
        email: null,
        date_of_birth: null,
        first_name: null,
        is_staff: false,
        is_active: false,
        is_superuser: false,
        last_name: null,
        password: null,
        profile_image_url: null,
        to_string: null,
        user_permissions: null,
        groups: null,
        id: null
    },
    errors: {},
};
var authenticationReducer = function (state, action) {
    if (state === void 0) { state = initialState; }
    switch (action.type) {
        case 'USER_LOADING':
            return __assign(__assign({}, state), { isLoading: true });
        case 'USER_LOADED':
            return __assign(__assign({}, state), { isAuthenticated: true, isLoading: false, user: action.user });
        case 'NOT_USER_LOADED':
            axios_1.default.defaults.headers = lodash_1.omit(axios_1.default.defaults.headers, 'Authorization');
            localStorage.removeItem("token");
            localStorage.removeItem("my_permissions");
            return __assign(__assign({}, state), { isAuthenticated: false, isLoading: false, user: initialState.user });
        case 'LOGIN_SUCCESSFUL':
            var token = action.data.token;
            localStorage.setItem("token", token);
            localStorage.setItem("my_permissions", []);
            axios_1.default.defaults.headers["Authorization"] = "Token " + token;
            return __assign(__assign(__assign({}, state), action.data), { isAuthenticated: true, isLoading: false, errors: null });
        case 'AUTHENTICATION_ERROR':
        case 'LOGIN_FAILED':
        case 'LOGOUT_SUCCESSFUL':
            axios_1.default.defaults.headers = lodash_1.omit(axios_1.default.defaults.headers, 'Authorization');
            localStorage.removeItem("token");
            localStorage.removeItem("my_permissions");
            return lodash_1.omit(__assign(__assign({}, state), { errors: action.data, user: initialState.user, isAuthenticated: false, isLoading: false, my_account: {} }), ['token', 'my_permissions']);
        default:
            return state;
    }
};
exports.authenticationReducer = authenticationReducer;
