"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var moment_timezone_1 = __importDefault(require("moment-timezone"));
var react_widgets_moment_1 = __importDefault(require("react-widgets-moment"));
var accounting_1 = require("accounting");
moment_timezone_1.default.tz.setDefault("America/Bogota");
moment_timezone_1.default.locale('es');
react_widgets_moment_1.default(moment_timezone_1.default);
exports.REGEX_JUST_MONEY = /^-{0,1}\d*\.{0,1}\d+$/;
exports.REGEX_JUST_NUMBERS = /^-{0,1}\d+$/;
exports.REGEX_JUST_EMAIL = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
exports.dateFormatOne = function (date) { return moment_timezone_1.default.tz(date, "America/Bogota").format('MMMM D [de] YYYY'); };
exports.timeFormatOne = function (date) { return moment_timezone_1.default.tz(date, "America/Bogota").format('hh:mm a'); };
exports.dateTimeFormatOne = function (date) { return moment_timezone_1.default.tz(date, "America/Bogota").format('D/MM/YYYY hh:mm a'); };
exports.formatoMoneda = function (value, symbol, decimals, currency_name) {
    if (currency_name === void 0) { currency_name = null; }
    return "" + accounting_1.formatMoney(Number(value), symbol, decimals, ".", ",") + (currency_name ? " " + currency_name : '');
};
exports.dateToYMD = function (date) { return date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate(); };
exports.timeDifference = function (initial_time, current_time) {
    var seconds = Math.abs(Math.floor((moment_timezone_1.default.tz(current_time, "America/Bogota").toDate() - (initial_time)) / 1000));
    var minutes = Math.floor(seconds / 60);
    var hours = Math.floor(minutes / 60);
    var days = Math.floor(hours / 24);
    hours = hours - (days * 24);
    minutes = minutes - (days * 24 * 60) - (hours * 60);
    seconds = seconds - (days * 24 * 60 * 60) - (hours * 60 * 60) - (minutes * 60);
    minutes = minutes < 9 ? "0" + minutes : minutes;
    hours = hours < 9 ? "0" + hours : hours;
    seconds = seconds < 9 ? "0" + seconds : seconds;
    return hours + ":" + minutes + ":" + seconds;
};
